Bug 999928 - Upgrade build to use eclipse aether & make it maven 3.1 compatible
Upgrade build to use eclipse aether & make it maven 3.1 compatible
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: EAP 6.2.0
Assigned To: Paul Gier
Pavel Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 07:30 EDT by Tomaz Cerar
Modified: 2015-02-20 05:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:12:27 EST
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomaz Cerar 2013-08-22 07:30:47 EDT
Build / subsystem testing framework needs to be updated to use eclipse Aether
this way we can get also maven 3.1 to work.

as part of this 
we need to upgrade / change
- jboss-parent to 11
- org.sonataype.* --> org.eclipse.ather.*
- upgrade maven-aether-provider to 3.1
Comment 3 Tomaz Cerar 2013-10-15 12:11:18 EDT
This was done few months back and is already merged and used.
Comment 4 Pavel Janousek 2013-10-29 10:51:37 EDT
Included in ER6.

Note You need to log in before you can comment on or make changes to this bug.